Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.acl
Class SSLUserInfo

    java.lang.Object
      |
      +--weblogic.security.acl.DefaultUserInfoImpl
            |
            +--weblogic.security.acl.SSLUserInfo

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the Pluggable Security Infrastructure.

public final class SSLUserInfo
extends DefaultUserInfoImpl

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.acl.DefaultUserInfoImpl
`certificates, id, password, realmName`

Constructor Summary
`SSLUserInfo(DefaultUserInfoImpl ui)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object that)` Deprecated.
`java.util.Vector` | `getCertificates()` Deprecated.
`java.util.Vector` | `getSSLCertificates()` Deprecated.
`boolean` | `hasCertificates()` Deprecated.
`void` | `setSSLCertificate(X509 cert)` Deprecated. Deprecated in WebLogic Server 7.0.
`void` | `setSSLCertificates(java.util.Vector certs)` Deprecated.

Methods inherited from class weblogic.security.acl.DefaultUserInfoImpl
`equalsInAllButName, getName, getPassword, getRealmName, hashCode, hasPassword, setCredential, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLUserInfo

    public SSLUserInfo(DefaultUserInfoImpl ui)

  Deprecated.

Method Detail

### setSSLCertificate

    public void setSSLCertificate(X509 cert)

  Deprecated. Deprecated in WebLogic Server 7.0.

### setSSLCertificates

    public void setSSLCertificates(java.util.Vector certs)

  Deprecated.

### getSSLCertificates

    public java.util.Vector getSSLCertificates()

  Deprecated.

### getCertificates

    public java.util.Vector getCertificates()

  Deprecated.

  Overrides:
    getCertificates in class DefaultUserInfoImpl

### hasCertificates

    public boolean hasCertificates()

  Deprecated.

  Overrides:
    hasCertificates in class DefaultUserInfoImpl

### equals

    public boolean equals(java.lang.Object that)

  Deprecated.

  Overrides:
    equals in class DefaultUserInfoImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD